#  Login.csh Release 2.3

#  This is a sample login.csh file.  The Hamilton C shell looks for this
#  file in your home directory when you start it from the Start Programs
#  menu.  You should edit it, customizing it to your needs.  Blank lines are
#  ignored; anything following a "#" on a given line is considered a comment.
#  The comments can be deleted if you want the shell to start up faster.

#  (As it comes off the distribution disk, this file contains ONLY comment
#  text explaining how to customize it.)

#  In general, if you define an environmental variable in an initialization
#  file for cmd.exe (rather than in config.sys), you should probably include
#  a corresponding "setenv" statement in this file.  To generate these
#  automatically, use the dumpenv.exe utility:
#
#        dumpenv >>login.csh
#
#  Every user will need to provide suitable definitions for COMSPEC, HOME,
#  PATH, PROMPT and TABS.  If you haven't defined them in config.sys, or
#  want to use different settings, define them here.

#
#  setenv   COMSPEC  =  c:\cmd.exe     # The standard OS/2 command processor.
#  setenv   HOME     =  d:\doug        # Pick any directory as "home".
#  setenv   PATH     =  '.;c:\;c:\os2\bin;c:\os2\cmds' # Setup your path.
#                                      # Notice that "." is explicitly shown
#                                      # as the first directory on the search
#                                      # path.
#  setenv   PROMPT   =  '$iOS/2 $n$g'  # Prompt for cmd.exe.
#  setenv   TABS     =  3              # Used by more.exe for tab expansion.


#  A word about the PATH variable:

#  Hamilton C shell does not assume the current directory is the first
#  entry in your search PATH unless you specify it explicitly.  You can
#  put it anywhere in the list; it does not have to be first, it does not
#  even have to appear if indeed you _don't_ want the current directory
#  checked when you type a command name.
#
#  Most users, however, _will_ want the current directory to be the first
#  PATH directory, so for convenience during installation, dumpenv pastes
#  ".;" onto the front of the the PATH string it writes out if it's not there
#  already.  Also, the default startup.csh file has a line that pastes the
#  "." directory onto the front of PATH if the shell is started up from
#  cmd.exe without it.


#  Additional Declarations

#  You may need additional declarations to run your existing tools, e.g.,
#  your C compiler or linker.  Here are some examples:
#
#  setenv   INCLUDE  =  c:\os2\include
#  setenv   LIB      =  c:\os2\lib
#  setenv   TMP      =  e:\tmp

#  Finally, you may wish to do various other sorts of initialization when 
#  you start a new copy of Hamilton C shell from Group Main or (under OS/2
#  2.0) the Workplace Shell.  Here are some examples:
#
#  set   savehist    =  0              # Do not save history at exit.
#  set   ignoreeof   =  1              # Insist on an exit command.  Don't
#                                      #   exit just because end-of-file (^Z)
#                                      #   was encountered.
#  cd    c:\os2\include                # Set up whatever current directories
#  cd    e:\tmp                        #   you want when the shell starts up.
#  cd    +c ~                          #   ("+c ~" means change to home
#                                      #   directory and drive;  note that "~"
#                                      #   depends on HOME being already set.)
